package com.ruoyi.project.sems.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.sems.mapper.TSpecdevCcMapper;
import com.ruoyi.project.sems.domain.TSpecdevCc;
import com.ruoyi.project.sems.service.ITSpecdevCcService;

/**
 * 特种设备叉车台账Service业务层处理
 *
 * @author ruoyi
 * @date 2021-07-26
 */
@Service
public class TSpecdevCcServiceImpl implements ITSpecdevCcService
{
    @Autowired
    private TSpecdevCcMapper tSpecdevCcMapper;

    /**
     * 查询特种设备叉车台账
     *
     * @param id 特种设备叉车台账ID
     * @return 特种设备叉车台账
     */
    @Override
    public TSpecdevCc selectTSpecdevCcById(Long id)
    {
        return tSpecdevCcMapper.selectTSpecdevCcById(id);
    }

    /**
     * 查询特种设备叉车台账列表
     *
     * @param tSpecdevCc 特种设备叉车台账
     * @return 特种设备叉车台账
     */
    @Override
    public List<TSpecdevCc> selectTSpecdevCcList(TSpecdevCc tSpecdevCc)
    {
        return tSpecdevCcMapper.selectTSpecdevCcList(tSpecdevCc);
    }

    @Override
    public List<TSpecdevCc> selectTSpecdevCcListByYear(TSpecdevCc tSpecdevCc) {
        return tSpecdevCcMapper.selectTSpecdevCcListByYear(tSpecdevCc);
    }

    /**
     * 新增特种设备叉车台账
     *
     * @param tSpecdevCc 特种设备叉车台账
     * @return 结果
     */
    @Override
    public int insertTSpecdevCc(TSpecdevCc tSpecdevCc)
    {
        return tSpecdevCcMapper.insertTSpecdevCc(tSpecdevCc);
    }

    /**
     * 修改特种设备叉车台账
     *
     * @param tSpecdevCc 特种设备叉车台账
     * @return 结果
     */
    @Override
    public int updateTSpecdevCc(TSpecdevCc tSpecdevCc)
    {
        return tSpecdevCcMapper.updateTSpecdevCc(tSpecdevCc);
    }

    /**
     * 批量删除特种设备叉车台账
     *
     * @param ids 需要删除的特种设备叉车台账ID
     * @return 结果
     */
    @Override
    public int deleteTSpecdevCcByIds(Long[] ids)
    {
        return tSpecdevCcMapper.deleteTSpecdevCcByIds(ids);
    }

    /**
     * 删除特种设备叉车台账信息
     *
     * @param id 特种设备叉车台账ID
     * @return 结果
     */
    @Override
    public int deleteTSpecdevCcById(Long id)
    {
        return tSpecdevCcMapper.deleteTSpecdevCcById(id);
    }

    @Override
    public void duplicateTSpecdevCc() {
        tSpecdevCcMapper.duplicateTSpecdevCc();
    }
}
